cURL
curl --request POST \
--url https://api.uat.accessrc.org/api/Event/Unsubscribe \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"eventType": "DELIVERY_CHANNEL_STATUS_UPDATED"
}
'HttpResponse<String> response = Unirest.post("https://api.uat.accessrc.org/api/Event/Unsubscribe")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"eventType\": \"DELIVERY_CHANNEL_STATUS_UPDATED\"\n}")
.asString();import requests
url = "https://api.uat.accessrc.org/api/Event/Unsubscribe"
payload = { "eventType": "DELIVERY_CHANNEL_STATUS_UPDATED" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({eventType: 'DELIVERY_CHANNEL_STATUS_UPDATED'})
};
fetch('https://api.uat.accessrc.org/api/Event/Unsubscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.uat.accessrc.org/api/Event/Unsubscribe");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"eventType\": \"DELIVERY_CHANNEL_STATUS_UPDATED\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"error": null,
"data": {
"message": "Webhook successfully unsubscribed",
"subscriptionId": "c79f8f33-0042-4c25-bd5e-0dc1982f8cea",
"callbackUrl": "https://webhook.site/98add1ca-f654-4c01-8eac-e771f06e160e",
"eventType": "DELIVERY_REQUEST_SENT",
"date": "2025-04-07T07:51:38Z"
},
"status": "success"
}{
"error": {
"guid": "95bd740b-755b-4f95-8549-fa9acfc31a41",
"code": 400,
"type": "ValidationError",
"message": "Invalid request body format. Please check your request format from AccessRC API specifications.",
"title": "Invalid Request Body"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 401,
"type": "Unauthorized",
"message": null,
"title": "API Key is missing"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 500,
"type": "Exception",
"message": null,
"title": "Internal Server Error"
},
"data": null,
"status": "failed"
}Subscription
Unsubscribe Event
POST
/
api
/
Event
/
Unsubscribe
cURL
curl --request POST \
--url https://api.uat.accessrc.org/api/Event/Unsubscribe \
--header 'Content-Type: application/json-patch+json' \
--header 'x-api-key: <api-key>' \
--data '
{
"eventType": "DELIVERY_CHANNEL_STATUS_UPDATED"
}
'HttpResponse<String> response = Unirest.post("https://api.uat.accessrc.org/api/Event/Unsubscribe")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"eventType\": \"DELIVERY_CHANNEL_STATUS_UPDATED\"\n}")
.asString();import requests
url = "https://api.uat.accessrc.org/api/Event/Unsubscribe"
payload = { "eventType": "DELIVERY_CHANNEL_STATUS_UPDATED" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({eventType: 'DELIVERY_CHANNEL_STATUS_UPDATED'})
};
fetch('https://api.uat.accessrc.org/api/Event/Unsubscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.uat.accessrc.org/api/Event/Unsubscribe");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"eventType\": \"DELIVERY_CHANNEL_STATUS_UPDATED\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"error": null,
"data": {
"message": "Webhook successfully unsubscribed",
"subscriptionId": "c79f8f33-0042-4c25-bd5e-0dc1982f8cea",
"callbackUrl": "https://webhook.site/98add1ca-f654-4c01-8eac-e771f06e160e",
"eventType": "DELIVERY_REQUEST_SENT",
"date": "2025-04-07T07:51:38Z"
},
"status": "success"
}{
"error": {
"guid": "95bd740b-755b-4f95-8549-fa9acfc31a41",
"code": 400,
"type": "ValidationError",
"message": "Invalid request body format. Please check your request format from AccessRC API specifications.",
"title": "Invalid Request Body"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 401,
"type": "Unauthorized",
"message": null,
"title": "API Key is missing"
},
"data": null,
"status": "failed"
}{
"error": {
"guid": "2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3",
"code": 500,
"type": "Exception",
"message": null,
"title": "Internal Server Error"
},
"data": null,
"status": "failed"
}Authorizations
API Key required in x-api-key header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Available options:
NULL, DELIVERY_CHANNEL_STATUS_UPDATED, DELIVERY_REQUEST_SENT, DELIVERY_REFUND_REQUESTED Example:
"NULL"
⌘I
